(* Content-type: application/vnd.wolfram.mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 12.1' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       158,          7]
NotebookDataLength[     23361,        553]
NotebookOptionsPosition[     22265,        529]
NotebookOutlinePosition[     22699,        546]
CellTagsIndexPosition[     22656,        543]
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{
Cell[BoxData[
 RowBox[{"<<", "VilCretas`"}]], "Input",
 CellChangeTimes->{{3.8129932043593683`*^9, 3.8129932123022966`*^9}},
 CellLabel->"In[2]:=",ExpressionUUID->"5510f48a-d966-4e0a-9acd-733ae3ada581"],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{"grafo", "=", 
  RowBox[{"Grafo", "[", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"c", ",", "e"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"d", ",", "e"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"d", ",", "a"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"c", ",", "d"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"e", ",", "h"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"c", ",", "h"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"c", ",", "f"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"a", ",", "b"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"a", ",", "c"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"b", ",", "c"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"b", ",", "d"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"b", ",", "h"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"d", ",", "f"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"e", ",", "f"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"f", ",", "g"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"a", ",", "g"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"g", ",", "d"}], "}"}]}], "}"}], "]"}]}], "\[IndentingNewLine]", 
 RowBox[{"Sort", "[", 
  RowBox[{"Sort", "/@", 
   RowBox[{"AristasWolframSystemToCombinatorica", "[", 
    RowBox[{"EdgeList", "[", 
     RowBox[{"GraphComplement", "[", "grafo", "]"}], "]"}], "]"}]}], 
  "]"}], "\[IndentingNewLine]", 
 RowBox[{"Valencias", "[", "grafo", "]"}], "\[IndentingNewLine]", 
 RowBox[{"ResaltarRuta", "[", 
  RowBox[{"grafo", ",", 
   RowBox[{"Partition", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
      "b", ",", "h", ",", "c", ",", "d", ",", "e", ",", "f", ",", "g", ",", 
       "a", ",", "b"}], "}"}], ",", "2", ",", "1"}], "]"}]}], 
  "]"}], "\[IndentingNewLine]", 
 RowBox[{"CircuitoHamiltonQ", "[", "grafo", "]"}], "\[IndentingNewLine]", 
 RowBox[{"CircuitosHamilton", "[", 
  RowBox[{"grafo", ",", "3"}], "]"}]}], "Input",
 CellChangeTimes->CompressedData["
1:eJxTTMoPSmViYGAQAWIQnRffLbE1440j89tpYNrLJ0UBRNsIWyuB6GMl7Wog
WufMSU0QzaLRoA+im8yuG4JoI/UvFiDazfWfLYg+skTjFIgWKXE7DaLnnjgp
tQ1I38raLg2ij7RsVwLRccVPVUB0xYeJ3SDaXfNsH4je/p71CIhuM7h5FESv
0J/8FURznbj3B0QXfX5Z/RBIN3g+rAHRKT4Jco+AdFdHHpjOOnvYAEQblYob
geh3k1iCQXSewPUQEN1g2TwZRD9zvw+mf01jfAiiV5xzBdPC4SVn/gLpKoEZ
Z0F0jn7jFRB9oq8dTN9juB/4D0jfWOEZDKIBGU2uUQ==
  "],
 CellLabel->"In[32]:=",ExpressionUUID->"2a26978e-abd9-45c3-b1f4-73e69cba6f72"],

Cell[BoxData[
 GraphicsBox[
  NamespaceBox["NetworkGraphics",
   DynamicModuleBox[{Typeset`graph = HoldComplete[
     Graph[{$CellContext`c, $CellContext`e, $CellContext`d, $CellContext`a, \
$CellContext`h, $CellContext`f, $CellContext`b, $CellContext`g}, {
      Null, {{1, 2}, {3, 2}, {3, 4}, {1, 3}, {2, 5}, {1, 5}, {1, 6}, {4, 7}, {
       4, 1}, {7, 1}, {7, 3}, {7, 5}, {3, 6}, {2, 6}, {6, 8}, {4, 8}, {8, 
       3}}}, {ImagePadding -> 10, VertexLabels -> {"Name"}}]]}, 
    TagBox[GraphicsGroupBox[{
       {Hue[0.6, 0.7, 0.5], Opacity[0.7], LineBox[CompressedData["
1:eJxTTMoPSmVmYGAQBGImKDapvNOs/eadfcEmnRPMB1/Yv6qYGySn89KeYULr
1A/nve3R5R++fbqTmfOXfeKpj/eOnH6BIT/Nyb5M4vkf+67SS0xzj/7AkGeA
gvQbf75/O46pf5apeMrCl3/g6tDlOzrNd80yeGnvlTDfYvGRHxjuRXcfujy6
/ejy6Pajm4fuP3R5QvrR3Y8un/M45rHrfhaHJR93Leo6jmkfun50eXT96P5F
14/uXnT9AJ5tECg=
         "]]}, 
       {Hue[0.6, 0.2, 0.8], EdgeForm[{GrayLevel[0], Opacity[
        0.7]}], {
         DiskBox[{0.9663293433584728, 0.7735613736782181}, 
          0.027250873892722252], 
         InsetBox["c", 
          Offset[{2, 2}, {0.993580217251195, 0.8008122475709404}], 
          ImageScaled[{0, 0}],
          BaseStyle->"Graphics"]}, {
         DiskBox[{0.7866355527474103, 0.0008487629629994053}, 
          0.027250873892722252], 
         InsetBox["e", 
          Offset[{2, 2}, {0.8138864266401326, 0.028099636855721657}], 
          ImageScaled[{0, 0}],
          BaseStyle->"Graphics"]}, {
         DiskBox[{1.6272008191725649, 0.7748741487869887}, 
          0.027250873892722252], 
         InsetBox["d", Offset[{2, 2}, {1.654451693065287, 0.802125022679711}],
           ImageScaled[{0, 0}],
          BaseStyle->"Graphics"]}, {
         DiskBox[{1.8064198130634046, 1.54824544050584}, 
          0.027250873892722252], 
         InsetBox["a", 
          Offset[{2, 2}, {1.8336706869561268, 1.575496314398562}], 
          ImageScaled[{0, 0}],
          BaseStyle->"Graphics"]}, {
         DiskBox[{0., 0.7744097560414617}, 0.027250873892722252], 
         InsetBox["h", 
          Offset[{2, 2}, {0.027250873892722252, 0.801660629934184}], 
          ImageScaled[{0, 0}],
          BaseStyle->"Graphics"]}, {
         DiskBox[{1.8070386800567122, 0.}, 0.027250873892722252], 
         InsetBox["f", 
          Offset[{2, 2}, {1.8342895539494344, 0.027250873892722252}], 
          ImageScaled[{0, 0}],
          BaseStyle->"Graphics"]}, {
         DiskBox[{0.7871831547784476, 1.5480072223490589}, 
          0.027250873892722252], 
         InsetBox["b", 
          Offset[{2, 2}, {0.8144340286711699, 1.575258096241781}], 
          ImageScaled[{0, 0}],
          BaseStyle->"Graphics"]}, {
         DiskBox[{2.593395019790867, 0.7743580988240422}, 
          0.027250873892722252], 
         InsetBox["g", 
          Offset[{2, 2}, {2.620645893683589, 0.8016089727167645}], 
          ImageScaled[{0, 0}],
          BaseStyle->"Graphics"]}}}],
     MouseAppearanceTag["NetworkGraphics"]],
    AllowKernelInitialization->False]],
  DefaultBaseStyle->{
   "NetworkGraphics", FrontEnd`GraphicsHighlightColor -> Hue[0.8, 1., 0.6]},
  FormatType->TraditionalForm,
  FrameTicks->None,
  ImagePadding->10]], "Output",
 CellChangeTimes->{
  3.8129933033783627`*^9, 3.8129933592356653`*^9, {3.8129934910745273`*^9, 
   3.812993520422681*^9}, 3.812994650943924*^9, 3.81299529416873*^9, {
   3.8129953512608624`*^9, 3.8129953682168846`*^9}, {3.8129961903748894`*^9, 
   3.812996214769841*^9}, {3.812996652820267*^9, 3.8129966552758665`*^9}, 
   3.8129970958102474`*^9, 3.813083371732126*^9, 3.813084135895444*^9, 
   3.8130854287731194`*^9, {3.813085594631634*^9, 3.813085617418677*^9}, 
   3.8130858632264*^9, 3.8130863692637815`*^9, 3.813086986993433*^9, 
   3.813091427437641*^9, 3.813142066256837*^9, 3.8131421254102583`*^9, 
   3.8131421809684305`*^9, 3.813143196355396*^9, 3.813143453214023*^9},
 CellLabel->"Out[32]=",ExpressionUUID->"122c0840-979e-46b7-b23a-738f0768d543"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{"a", ",", "e"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"a", ",", "f"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"a", ",", "h"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"b", ",", "e"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"b", ",", "f"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"b", ",", "g"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"c", ",", "g"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"d", ",", "h"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"e", ",", "g"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"f", ",", "h"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"g", ",", "h"}], "}"}]}], "}"}]], "Output",
 CellChangeTimes->{
  3.8129933033783627`*^9, 3.8129933592356653`*^9, {3.8129934910745273`*^9, 
   3.812993520422681*^9}, 3.812994650943924*^9, 3.81299529416873*^9, {
   3.8129953512608624`*^9, 3.8129953682168846`*^9}, {3.8129961903748894`*^9, 
   3.812996214769841*^9}, {3.812996652820267*^9, 3.8129966552758665`*^9}, 
   3.8129970958102474`*^9, 3.813083371732126*^9, 3.813084135895444*^9, 
   3.8130854287731194`*^9, {3.813085594631634*^9, 3.813085617418677*^9}, 
   3.8130858632264*^9, 3.8130863692637815`*^9, 3.813086986993433*^9, 
   3.813091427437641*^9, 3.813142066256837*^9, 3.8131421254102583`*^9, 
   3.8131421809684305`*^9, 3.813143196355396*^9, 3.813143453243387*^9},
 CellLabel->"Out[33]=",ExpressionUUID->"d48672d9-ec12-48cc-a137-bb53bbec0667"],

Cell[BoxData[
 TagBox[
  TagBox[GridBox[{
     {
      StyleBox["\[Null]",
       ShowStringCharacters->False], 
      TagBox[
       StyleBox["c",
        StripOnInput->False,
        LineColor->GrayLevel[0],
        FrontFaceColor->GrayLevel[0],
        BackFaceColor->GrayLevel[0],
        GraphicsColor->GrayLevel[0],
        FontColor->GrayLevel[0]],
       HoldForm], 
      TagBox[
       StyleBox["e",
        StripOnInput->False,
        LineColor->GrayLevel[0],
        FrontFaceColor->GrayLevel[0],
        BackFaceColor->GrayLevel[0],
        GraphicsColor->GrayLevel[0],
        FontColor->GrayLevel[0]],
       HoldForm], 
      TagBox[
       StyleBox["d",
        StripOnInput->False,
        LineColor->GrayLevel[0],
        FrontFaceColor->GrayLevel[0],
        BackFaceColor->GrayLevel[0],
        GraphicsColor->GrayLevel[0],
        FontColor->GrayLevel[0]],
       HoldForm], 
      TagBox[
       StyleBox["a",
        StripOnInput->False,
        LineColor->GrayLevel[0],
        FrontFaceColor->GrayLevel[0],
        BackFaceColor->GrayLevel[0],
        GraphicsColor->GrayLevel[0],
        FontColor->GrayLevel[0]],
       HoldForm], 
      TagBox[
       StyleBox["h",
        StripOnInput->False,
        LineColor->GrayLevel[0],
        FrontFaceColor->GrayLevel[0],
        BackFaceColor->GrayLevel[0],
        GraphicsColor->GrayLevel[0],
        FontColor->GrayLevel[0]],
       HoldForm], 
      TagBox[
       StyleBox["f",
        StripOnInput->False,
        LineColor->GrayLevel[0],
        FrontFaceColor->GrayLevel[0],
        BackFaceColor->GrayLevel[0],
        GraphicsColor->GrayLevel[0],
        FontColor->GrayLevel[0]],
       HoldForm], 
      TagBox[
       StyleBox["b",
        StripOnInput->False,
        LineColor->GrayLevel[0],
        FrontFaceColor->GrayLevel[0],
        BackFaceColor->GrayLevel[0],
        GraphicsColor->GrayLevel[0],
        FontColor->GrayLevel[0]],
       HoldForm], 
      TagBox[
       StyleBox["g",
        StripOnInput->False,
        LineColor->GrayLevel[0],
        FrontFaceColor->GrayLevel[0],
        BackFaceColor->GrayLevel[0],
        GraphicsColor->GrayLevel[0],
        FontColor->GrayLevel[0]],
       HoldForm]},
     {
      TagBox["\<\"Grado o valencia\"\>",
       HoldForm], "6", "4", "6", "4", "3", "4", "4", "3"}
    },
    GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Center}}},
    GridBoxDividers->{
     "Columns" -> {False, True, {False}, False}, 
      "Rows" -> {False, True, {False}, False}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[2.0999999999999996`]}, 
        Offset[0.27999999999999997`]}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}}],
   {OutputFormsDump`HeadedRows, OutputFormsDump`HeadedColumns}],
  Function[BoxForm`e$, 
   TableForm[BoxForm`e$, TableHeadings -> {{"Grado o valencia"}, {
       Style[$CellContext`c, 
        GrayLevel[0]], 
       Style[$CellContext`e, 
        GrayLevel[0]], 
       Style[$CellContext`d, 
        GrayLevel[0]], 
       Style[$CellContext`a, 
        GrayLevel[0]], 
       Style[$CellContext`h, 
        GrayLevel[0]], 
       Style[$CellContext`f, 
        GrayLevel[0]], 
       Style[$CellContext`b, 
        GrayLevel[0]], 
       Style[$CellContext`g, 
        GrayLevel[0]]}}, TableAlignments -> Center]]]], "Output",
 CellChangeTimes->{
  3.8129933033783627`*^9, 3.8129933592356653`*^9, {3.8129934910745273`*^9, 
   3.812993520422681*^9}, 3.812994650943924*^9, 3.81299529416873*^9, {
   3.8129953512608624`*^9, 3.8129953682168846`*^9}, {3.8129961903748894`*^9, 
   3.812996214769841*^9}, {3.812996652820267*^9, 3.8129966552758665`*^9}, 
   3.8129970958102474`*^9, 3.813083371732126*^9, 3.813084135895444*^9, 
   3.8130854287731194`*^9, {3.813085594631634*^9, 3.813085617418677*^9}, 
   3.8130858632264*^9, 3.8130863692637815`*^9, 3.813086986993433*^9, 
   3.813091427437641*^9, 3.813142066256837*^9, 3.8131421254102583`*^9, 
   3.8131421809684305`*^9, 3.813143196355396*^9, 3.8131434532473817`*^9},
 CellLabel->
  "Out[34]//TableForm=",ExpressionUUID->"8a0222a9-a451-4649-b627-\
d875d4d2eb6c"],

Cell[BoxData[
 GraphicsBox[
  NamespaceBox["NetworkGraphics",
   DynamicModuleBox[{Typeset`graph = HoldComplete[
     Graph[{$CellContext`c, $CellContext`e, $CellContext`d, $CellContext`a, \
$CellContext`h, $CellContext`f, $CellContext`b, $CellContext`g}, {
      Null, {{1, 2}, {3, 2}, {3, 4}, {1, 3}, {2, 5}, {1, 5}, {1, 6}, {4, 7}, {
       4, 1}, {7, 1}, {7, 3}, {7, 5}, {3, 6}, {2, 6}, {6, 8}, {4, 8}, {8, 
       3}}}, {GraphHighlight -> {
         UndirectedEdge[$CellContext`f, $CellContext`g], 
         UndirectedEdge[$CellContext`c, $CellContext`d], 
         UndirectedEdge[$CellContext`h, $CellContext`c], 
         UndirectedEdge[$CellContext`e, $CellContext`f], 
         UndirectedEdge[$CellContext`g, $CellContext`a], 
         UndirectedEdge[$CellContext`d, $CellContext`e], 
         UndirectedEdge[$CellContext`b, $CellContext`h], 
         UndirectedEdge[$CellContext`a, $CellContext`b]}, 
       GraphHighlightStyle -> {"Thick"}, ImagePadding -> 10, 
       VertexLabels -> {"Name"}}]]}, 
    TagBox[GraphicsGroupBox[{
       {Hue[0.6, 0.7, 0.5], Opacity[0.7], 
        LineBox[{{0.9663293433584728, 0.7735613736782181}, {
         0.7866355527474103, 0.0008487629629994053}}], 
        {Hue[1, 1, 0.7], Thickness[Large], Opacity[1], 
         LineBox[{{0.9663293433584728, 0.7735613736782181}, {
          1.6272008191725649`, 0.7748741487869887}}]}, 
        LineBox[{{0.9663293433584728, 0.7735613736782181}, {
         1.8064198130634046`, 1.54824544050584}}], 
        {Hue[1, 1, 0.7], Thickness[Large], Opacity[1], 
         LineBox[{{0.9663293433584728, 0.7735613736782181}, {0., 
          0.7744097560414617}}]}, 
        LineBox[{{0.9663293433584728, 0.7735613736782181}, {
         1.8070386800567122`, 0.}}], 
        LineBox[{{0.9663293433584728, 0.7735613736782181}, {
         0.7871831547784476, 1.5480072223490589`}}], 
        {Hue[1, 1, 0.7], Thickness[Large], Opacity[1], 
         LineBox[{{0.7866355527474103, 0.0008487629629994053}, {
          1.6272008191725649`, 0.7748741487869887}}]}, 
        LineBox[{{0.7866355527474103, 0.0008487629629994053}, {0., 
         0.7744097560414617}}], 
        {Hue[1, 1, 0.7], Thickness[Large], Opacity[1], 
         LineBox[{{0.7866355527474103, 0.0008487629629994053}, {
          1.8070386800567122`, 0.}}]}, 
        LineBox[{{1.6272008191725649`, 0.7748741487869887}, {
         1.8064198130634046`, 1.54824544050584}}], 
        LineBox[{{1.6272008191725649`, 0.7748741487869887}, {
         1.8070386800567122`, 0.}}], 
        LineBox[{{1.6272008191725649`, 0.7748741487869887}, {
         0.7871831547784476, 1.5480072223490589`}}], 
        LineBox[{{1.6272008191725649`, 0.7748741487869887}, {
         2.593395019790867, 0.7743580988240422}}], 
        {Hue[1, 1, 0.7], Thickness[Large], Opacity[1], 
         LineBox[{{1.8064198130634046`, 1.54824544050584}, {
          0.7871831547784476, 1.5480072223490589`}}]}, 
        {Hue[1, 1, 0.7], Thickness[Large], Opacity[1], 
         LineBox[{{1.8064198130634046`, 1.54824544050584}, {2.593395019790867,
           0.7743580988240422}}]}, 
        {Hue[1, 1, 0.7], Thickness[Large], Opacity[1], 
         LineBox[{{0., 0.7744097560414617}, {0.7871831547784476, 
          1.5480072223490589`}}]}, 
        {Hue[1, 1, 0.7], Thickness[Large], Opacity[1], 
         LineBox[{{1.8070386800567122`, 0.}, {2.593395019790867, 
          0.7743580988240422}}]}}, 
       {Hue[0.6, 0.2, 0.8], EdgeForm[{GrayLevel[0], Opacity[
        0.7]}], {
         DiskBox[{0.9663293433584728, 0.7735613736782181}, 
          0.027250873892722252], 
         InsetBox["c", 
          Offset[{2, 2}, {0.993580217251195, 0.8008122475709404}], 
          ImageScaled[{0, 0}],
          BaseStyle->"Graphics"]}, {
         DiskBox[{0.7866355527474103, 0.0008487629629994053}, 
          0.027250873892722252], 
         InsetBox["e", 
          Offset[{2, 2}, {0.8138864266401326, 0.028099636855721657}], 
          ImageScaled[{0, 0}],
          BaseStyle->"Graphics"]}, {
         DiskBox[{1.6272008191725649, 0.7748741487869887}, 
          0.027250873892722252], 
         InsetBox["d", Offset[{2, 2}, {1.654451693065287, 0.802125022679711}],
           ImageScaled[{0, 0}],
          BaseStyle->"Graphics"]}, {
         DiskBox[{1.8064198130634046, 1.54824544050584}, 
          0.027250873892722252], 
         InsetBox["a", 
          Offset[{2, 2}, {1.8336706869561268, 1.575496314398562}], 
          ImageScaled[{0, 0}],
          BaseStyle->"Graphics"]}, {
         DiskBox[{0., 0.7744097560414617}, 0.027250873892722252], 
         InsetBox["h", 
          Offset[{2, 2}, {0.027250873892722252, 0.801660629934184}], 
          ImageScaled[{0, 0}],
          BaseStyle->"Graphics"]}, {
         DiskBox[{1.8070386800567122, 0.}, 0.027250873892722252], 
         InsetBox["f", 
          Offset[{2, 2}, {1.8342895539494344, 0.027250873892722252}], 
          ImageScaled[{0, 0}],
          BaseStyle->"Graphics"]}, {
         DiskBox[{0.7871831547784476, 1.5480072223490589}, 
          0.027250873892722252], 
         InsetBox["b", 
          Offset[{2, 2}, {0.8144340286711699, 1.575258096241781}], 
          ImageScaled[{0, 0}],
          BaseStyle->"Graphics"]}, {
         DiskBox[{2.593395019790867, 0.7743580988240422}, 
          0.027250873892722252], 
         InsetBox["g", 
          Offset[{2, 2}, {2.620645893683589, 0.8016089727167645}], 
          ImageScaled[{0, 0}],
          BaseStyle->"Graphics"]}}}],
     MouseAppearanceTag["NetworkGraphics"]],
    AllowKernelInitialization->False]],
  DefaultBaseStyle->{
   "NetworkGraphics", FrontEnd`GraphicsHighlightColor -> Hue[0.8, 1., 0.6]},
  FormatType->TraditionalForm,
  FrameTicks->None,
  ImagePadding->10]], "Output",
 CellChangeTimes->{
  3.8129933033783627`*^9, 3.8129933592356653`*^9, {3.8129934910745273`*^9, 
   3.812993520422681*^9}, 3.812994650943924*^9, 3.81299529416873*^9, {
   3.8129953512608624`*^9, 3.8129953682168846`*^9}, {3.8129961903748894`*^9, 
   3.812996214769841*^9}, {3.812996652820267*^9, 3.8129966552758665`*^9}, 
   3.8129970958102474`*^9, 3.813083371732126*^9, 3.813084135895444*^9, 
   3.8130854287731194`*^9, {3.813085594631634*^9, 3.813085617418677*^9}, 
   3.8130858632264*^9, 3.8130863692637815`*^9, 3.813086986993433*^9, 
   3.813091427437641*^9, 3.813142066256837*^9, 3.8131421254102583`*^9, 
   3.8131421809684305`*^9, 3.813143196355396*^9, 3.8131434533186154`*^9},
 CellLabel->"Out[35]=",ExpressionUUID->"3ebe9030-77d1-4b67-b230-cf147370c570"],

Cell[BoxData["True"], "Output",
 CellChangeTimes->{
  3.8129933033783627`*^9, 3.8129933592356653`*^9, {3.8129934910745273`*^9, 
   3.812993520422681*^9}, 3.812994650943924*^9, 3.81299529416873*^9, {
   3.8129953512608624`*^9, 3.8129953682168846`*^9}, {3.8129961903748894`*^9, 
   3.812996214769841*^9}, {3.812996652820267*^9, 3.8129966552758665`*^9}, 
   3.8129970958102474`*^9, 3.813083371732126*^9, 3.813084135895444*^9, 
   3.8130854287731194`*^9, {3.813085594631634*^9, 3.813085617418677*^9}, 
   3.8130858632264*^9, 3.8130863692637815`*^9, 3.813086986993433*^9, 
   3.813091427437641*^9, 3.813142066256837*^9, 3.8131421254102583`*^9, 
   3.8131421809684305`*^9, 3.813143196355396*^9, 3.8131434533186154`*^9},
 CellLabel->"Out[36]=",ExpressionUUID->"89dc0432-9aea-426a-8992-dbacf2ff27e6"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{
     RowBox[{"c", "\[UndirectedEdge]", "a"}], ",", 
     RowBox[{"a", "\[UndirectedEdge]", "g"}], ",", 
     RowBox[{"g", "\[UndirectedEdge]", "d"}], ",", 
     RowBox[{"d", "\[UndirectedEdge]", "b"}], ",", 
     RowBox[{"b", "\[UndirectedEdge]", "h"}], ",", 
     RowBox[{"h", "\[UndirectedEdge]", "e"}], ",", 
     RowBox[{"e", "\[UndirectedEdge]", "f"}], ",", 
     RowBox[{"f", "\[UndirectedEdge]", "c"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"c", "\[UndirectedEdge]", "h"}], ",", 
     RowBox[{"h", "\[UndirectedEdge]", "e"}], ",", 
     RowBox[{"e", "\[UndirectedEdge]", "f"}], ",", 
     RowBox[{"f", "\[UndirectedEdge]", "g"}], ",", 
     RowBox[{"g", "\[UndirectedEdge]", "d"}], ",", 
     RowBox[{"d", "\[UndirectedEdge]", "b"}], ",", 
     RowBox[{"b", "\[UndirectedEdge]", "a"}], ",", 
     RowBox[{"a", "\[UndirectedEdge]", "c"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"c", "\[UndirectedEdge]", "a"}], ",", 
     RowBox[{"a", "\[UndirectedEdge]", "g"}], ",", 
     RowBox[{"g", "\[UndirectedEdge]", "d"}], ",", 
     RowBox[{"d", "\[UndirectedEdge]", "f"}], ",", 
     RowBox[{"f", "\[UndirectedEdge]", "e"}], ",", 
     RowBox[{"e", "\[UndirectedEdge]", "h"}], ",", 
     RowBox[{"h", "\[UndirectedEdge]", "b"}], ",", 
     RowBox[{"b", "\[UndirectedEdge]", "c"}]}], "}"}]}], "}"}]], "Output",
 CellChangeTimes->{
  3.8129933033783627`*^9, 3.8129933592356653`*^9, {3.8129934910745273`*^9, 
   3.812993520422681*^9}, 3.812994650943924*^9, 3.81299529416873*^9, {
   3.8129953512608624`*^9, 3.8129953682168846`*^9}, {3.8129961903748894`*^9, 
   3.812996214769841*^9}, {3.812996652820267*^9, 3.8129966552758665`*^9}, 
   3.8129970958102474`*^9, 3.813083371732126*^9, 3.813084135895444*^9, 
   3.8130854287731194`*^9, {3.813085594631634*^9, 3.813085617418677*^9}, 
   3.8130858632264*^9, 3.8130863692637815`*^9, 3.813086986993433*^9, 
   3.813091427437641*^9, 3.813142066256837*^9, 3.8131421254102583`*^9, 
   3.8131421809684305`*^9, 3.813143196355396*^9, 3.813143453335362*^9},
 CellLabel->"Out[37]=",ExpressionUUID->"a020a5fb-32eb-43ad-96d1-b7c3283fff70"]
}, Open  ]]
},
WindowSize->{960, 478},
WindowMargins->{{-5.5, Automatic}, {Automatic, -5.5}},
Magnification:>1.5 Inherited,
FrontEndVersion->"12.1 para Microsoft Windows (64-bit) (March 14, 2020)",
StyleDefinitions->"Default.nb",
ExpressionUUID->"0c2a08c3-2df5-420a-9fc3-715007d18a15"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[558, 20, 202, 3, 63, "Input",ExpressionUUID->"5510f48a-d966-4e0a-9acd-733ae3ada581"],
Cell[CellGroupData[{
Cell[785, 27, 2442, 66, 760, "Input",ExpressionUUID->"2a26978e-abd9-45c3-b1f4-73e69cba6f72"],
Cell[3230, 95, 3932, 81, 503, "Output",ExpressionUUID->"122c0840-979e-46b7-b23a-738f0768d543"],
Cell[7165, 178, 1461, 35, 144, "Output",ExpressionUUID->"d48672d9-ec12-48cc-a137-bb53bbec0667"],
Cell[8629, 215, 4159, 124, 136, "Output",ExpressionUUID->"8a0222a9-a451-4649-b627-d875d4d2eb6c"],
Cell[12791, 341, 6483, 127, 503, "Output",ExpressionUUID->"3ebe9030-77d1-4b67-b230-cf147370c570"],
Cell[19277, 470, 792, 11, 100, "Output",ExpressionUUID->"89dc0432-9aea-426a-8992-dbacf2ff27e6"],
Cell[20072, 483, 2177, 43, 246, "Output",ExpressionUUID->"a020a5fb-32eb-43ad-96d1-b7c3283fff70"]
}, Open  ]]
}
]
*)

